httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Colm MacCárthaigh <c...@allcosts.net>
Subject Re: [VOTE] 1.3.42 release candidate
Date Fri, 08 Jan 2010 19:46:53 GMT
Thanks, I'll clean those up and re-roll, I guess there's no point
updating the build instructions.

On Fri, Jan 8, 2010 at 6:58 PM, Rainer Jung <rainer.jung@kippdata.de> wrote:>
> It's in the branch, but wasn't shipped with the previous tarball. The file
> is also installed by "make install".
>
> File src/Configuration missing
> ------------------------------
>
> In the previous tarball it was a copy of Configuration.tmpl. Now it is
> missing. I guess it's not a show stopper (using Configuration.apaci myself).
>
> Update of ABOUT_APACHE
> -----------------------
>
> Only in case any of the above warrants rolling a new tarball, it might be
> good to update ABOUT_APACHE also w.r.t. the EOL state of 1.3.x.
>
>
> Minor things, because not relevant to tarball
> =============================================
>
> Announcement files
> ------------------
>
> - Semicolon instead of colon
> - Once 41 -> 42 conversion missing in html file
> - only in html version: added paragraph about CHANGES_1.3.42 is
>  duplicate
>
> --- Announcement1.3.txt.orig    2010-01-08 15:20:53.000000000 +0100
> +++ Announcement1.3.txt 2010-01-08 17:25:37.412434000 +0100
> @@ -6,7 +6,7 @@
>    version 1.3 of the Apache HTTP Server, which has reached end of life
>    status.
>
> -   Future critical security updates may be available as patches, via;
> +   Future critical security updates may be available as patches, via:
>
>         http://www.apache.org/dist/httpd/patches/
>
>
> --- Announcement1.3.html.orig    2010-01-08 15:20:53.000000000 +0100
> +++ Announcement1.3.html 2010-01-08 19:22:33.432594000 +0100
> @@ -23,7 +23,7 @@
>    version 1.3 of the Apache HTTP Server, which has reached end of life
>    status.</p>
>
> -<p>Future critical security updates may be available as patches, via;</p>
> +<p>Future critical security updates may be available as patches, via:</p>
>
>  <p><a
> href="http://www.apache.org/dist/httpd/patches/">http://www.apache.org/dist/httpd/patches/</a></p>
>
> @@ -41,9 +41,6 @@
>  mod_proxy: Prevent chunk-size integer overflow on platforms
>  where sizeof(int) &lt; sizeof(long). Reported by Adam Zabrocki.</li></ul>
>
> -<p>Please see the CHANGES_1.3.42 file in this directory for a full list
> -of changes for this version.</p>
> -
>  <p>Apache 1.3.42 is the final stable release of the Apache 1.3 family. We
>  strongly recommend that users of all earlier versions, including 1.3 family
>  release, upgrade to to the current 2.2 version as soon as possible.</p>
> @@ -97,7 +94,7 @@
>  <h3>Security vulnerabilities</h3>
>
>  <p>
> -   The main security vulnerabilities addressed in 1.3.41 are:
> +   The main security vulnerabilities addressed in 1.3.42 are:
>  </p>
>  <dl>
>  <dt>CVE-2010-0010 (cve.mitre.org)</dt>
>
> Old Announcement file on dist directory
> ---------------------------------------
>
> File "Announcement1.3" on the official download page
> is still as of version 1.3.39, should likely be copied from file
> Annoucement1.3.txt when populating the official DL dir.
>
> Regards,
>
> Rainer
>



-- 
Colm

Mime
View raw message